<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 16:49:00 CET 2021 -->
<title>Uses of Class fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="use: package: fr.humanbooster.ag.gestion_de_sachet.metier, class: Fournisseur">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur" class="title">Uses of Class<br>fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.ag.gestion_de_sachet.metier">fr.humanbooster.ag.gestion_de_sachet.metier</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.ag.gestion_de_sachet.service">fr.humanbooster.ag.gestion_de_sachet.service</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.humanbooster.ag.gestion_de_sachet.service.impl">fr.humanbooster.ag.gestion_de_sachet.service.impl</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.humanbooster.ag.gestion_de_sachet.metier">
<h2>Uses of <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a> in <a href="../package-summary.html">fr.humanbooster.ag.gestion_de_sachet.metier</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.humanbooster.ag.gestion_de_sachet.metier</a> that return <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Sachet.</span><code><span class="member-name-link"><a href="../Sachet.html#getFournisseur()">getFournisseur</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.humanbooster.ag.gestion_de_sachet.metier</a> with parameters of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Sachet.</span><code><span class="member-name-link"><a href="../Sachet.html#setFournisseur(fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur)">setFournisseur</a></span>&#8203;(<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&nbsp;fournisseur)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructors in <a href="../package-summary.html">fr.humanbooster.ag.gestion_de_sachet.metier</a> with parameters of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../Sachet.html#%3Cinit%3E(fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur,fr.humanbooster.ag.gestion_de_sachet.metier.TypeDeGraine,java.util.Date,float,float)">Sachet</a></span>&#8203;(<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&nbsp;fournisseur,
<a href="../TypeDeGraine.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">TypeDeGraine</a>&nbsp;typeDeGraine,
java.util.Date&nbsp;dateDeCreation,
float&nbsp;poidsEnGrammes,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.humanbooster.ag.gestion_de_sachet.service">
<h2>Uses of <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a> in <a href="../../service/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service</a> that return <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurService.</span><code><span class="member-name-link"><a href="../../service/FournisseurService.html#ajouterFournisseur(java.lang.String)">ajouterFournisseur</a></span>&#8203;(java.lang.String&nbsp;nom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurService.</span><code><span class="member-name-link"><a href="../../service/FournisseurService.html#recupererFournisseur(java.lang.Long)">recupererFournisseur</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service</a> that return types with arguments of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurService.</span><code><span class="member-name-link"><a href="../../service/FournisseurService.html#recupererFournisseurs()">recupererFournisseurs</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service</a> with parameters of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Sachet.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Sachet</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SachetService.</span><code><span class="member-name-link"><a href="../../service/SachetService.html#ajouterSachet(fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur,fr.humanbooster.ag.gestion_de_sachet.metier.TypeDeGraine,java.util.Date,float,float)">ajouterSachet</a></span>&#8203;(<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&nbsp;fournisseur,
<a href="../TypeDeGraine.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">TypeDeGraine</a>&nbsp;typeDeGraine,
java.util.Date&nbsp;dateDeCreation,
float&nbsp;poidsEnGrammes,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.humanbooster.ag.gestion_de_sachet.service.impl">
<h2>Uses of <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a> in <a href="../../service/impl/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service.impl</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service.impl</a> that return <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/FournisseurServiceImpl.html#ajouterFournisseur(java.lang.String)">ajouterFournisseur</a></span>&#8203;(java.lang.String&nbsp;nom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/FournisseurServiceImpl.html#recupererFournisseur(java.lang.Long)">recupererFournisseur</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service.impl</a> that return types with arguments of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.util.List&lt;<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">FournisseurServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/FournisseurServiceImpl.html#recupererFournisseurs()">recupererFournisseurs</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../../service/impl/package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service.impl</a> with parameters of type <a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code><a href="../Sachet.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Sachet</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">SachetServiceImpl.</span><code><span class="member-name-link"><a href="../../service/impl/SachetServiceImpl.html#ajouterSachet(fr.humanbooster.ag.gestion_de_sachet.metier.Fournisseur,fr.humanbooster.ag.gestion_de_sachet.metier.TypeDeGraine,java.util.Date,float,float)">ajouterSachet</a></span>&#8203;(<a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&nbsp;fournisseur,
<a href="../TypeDeGraine.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">TypeDeGraine</a>&nbsp;typeDeGraine,
java.util.Date&nbsp;dateDeCreation,
float&nbsp;poidsEnGrammes,
float&nbsp;prixEnEuros)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
